; Please see https://www.php.net/manual/en/function.parse-ini-file.php
; for limitations of the ini format used here

; To extend this file or make changes to it, it is recommended to create
; a local conf/tpl/<template-folder-name>/style.ini file to prevent losing
; any changes after an upgrade.
; Please don't forget to copy the section your changes should be under
; (i.e. [stylesheets] or [replacements]) into that file as well.

; Define the stylesheets your template uses here. The second value
; defines for which output media the style should be loaded. Currently
; print, screen and all are supported.
; You can reference CSS and LESS files here. Files referenced here will
; be checked for updates when considering a cache rebuild while files
; included through LESS' @import statements are not

[stylesheets]

;css/basic.css                         = screen

; load styles from the default 'dokuwiki' template
; some of these have been renamed from *.css to *.less
; but .css still loads the same file and is backwards compatible
;../dokuwiki/css/_imgdetail.css        = screen
;../dokuwiki/css/_media_popup.css      = screen
;../dokuwiki/css/_media_fullscreen.css = screen
;../dokuwiki/css/_fileuploader.css     = screen
;../dokuwiki/css/_tabs.css             = screen
;../dokuwiki/css/_links.css            = screen
;../dokuwiki/css/_toc.css              = screen
;../dokuwiki/css/_footnotes.css        = screen
;../dokuwiki/css/_search.css           = screen
;../dokuwiki/css/_recent.css           = screen
;../dokuwiki/css/_diff.css             = screen
;../dokuwiki/css/_edit.css             = screen
;../dokuwiki/css/_modal.css            = screen
;../dokuwiki/css/_forms.css            = screen
;../dokuwiki/css/_admin.css            = screen

; load the rest of the styles
;css/structure.css                     = screen
;css/design.css                        = screen
;css/content.css                       = screen
;css/includes.css                      = screen

;css/mobile.css                        = all
;css/print.css                         = print

; reset css
css/reset.css                         = all

; load media
css/media.css                         = all

; load bulma
css/bulma.min.css                     = all

; my custom
css/custom.css                        = all

; This section is used to configure some placeholder values used in
; the stylesheets. Changing this file is the simplest method to
; give your wiki a new look.
; Placeholders defined here will also be made available as LESS variables
; (with surrounding underscores removed, and the prefix @ini_ added)

[replacements]

;--------------------------------------------------------------------------
;------ guaranteed dokuwiki color placeholders that every plugin can use

; main text and background colors
;__text__           = "#333"                 ; @ini_text
;__background__     = "#fff"                 ; @ini_background
;; alternative text and background colors
;__text_alt__       = "#999"                 ; @ini_text_alt
;__background_alt__ = "#eee"                 ; @ini_background_alt
;; neutral text and background colors
;__text_neu__       = "#666"                 ; @ini_text_neu
;__background_neu__ = "#ddd"                 ; @ini_background_neu
;; border color
;__border__         = "#ccc"                 ; @ini_border
;
;; highlighted text (e.g. search snippets)
;__highlight__      = "#ff9"                 ; @ini_highlight
;
;; link color
;__link__            = "#00c"                ; @ini_link
;
;;--------------------------------------------------------------------------
;
;; these are used for other links
;__existing__       = "#090"                 ; @ini_existing
;__missing__        = "#f30"                 ; @ini_missing
;
;; widths
;__site_width__     = "64em"                 ; @ini_site_width
;__sidebar_width__  = "16em"                 ; @ini_sidebar_width
;
;; color of the web app (used by the core, not by the template)
;__theme_color__    = "#eee"                 ; @ini_theme_color
